<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_Rating extends Controller_Handler {

        public function before() {
            $this->model = new Model_Teacher_Rating;
            $this->setAccessLevel(self::ACCESS_USER);
            parent::before();
        }

        public function action_SetRate()
        {
			$data['success'] = false;
            $this->post -> rule('student', 'not_empty')
                        -> rule('student', 'digit')
                        -> rule('submodule', 'not_empty')
                        -> rule('submodule', 'digit')
                        -> rule('rate', 'digit')
                        -> rule('rate', 'range', array(':value', 0, 100));
            if($this->post->check()) {
                $result = $this->model->SetStudentRate( $this->user['TeacherID'], 
                                                        $this->post->offsetGet('student'), 
                                                        $this->post->offsetGet('submodule'), 
                                                        $this->post->offsetGet('rate'));
				$data['success'] = ($result[0]['Num'] == 0);
            }
            $this->response->body(json_encode($data));
        }

        public function action_SelectGroup(){
            $data['success'] = false;
            $this->post -> rule('disciplineID', 'digit')
                        -> rule('disciplineID', 'not_empty')
                        -> rule('groupSelected', 'digit')
                        -> rule('groupSelected', 'not_empty');
            if($this->post->check()) {
                //$SGID = Cookie::get('SGID', null);
                $SG_json = json_decode(Cookie::get('SGID', null), true);
                
                $SG_json[$this->post->offsetGet('disciplineID')] = $this->post->offsetGet('groupSelected');

                Cookie::set('SGID', json_encode($SG_json), '3600'); 
                $data['success'] = true;
            }
            $this->response->body(json_encode($data));
        }

}